
import { Image } from '@tarojs/components'
import Taro from '@tarojs/taro'
import './index.scss'

export default function MyCustomerListItem (props) {
  const { data = {} } = props
  return (
    <view className='components MyCustomerListItem flex-h' onClick={() => { Taro.navigateTo({ url: `/pages/mine/myCustomerDetail/index?id=${data.customerId}` }) }}>
      <view className='Img'>
        <Image mode='scaleToFill' src={data.avatarurl}></Image>
      </view>
      <view className='flex-item'>
        <view className='Name flex-h'>
          <text className='flex-item'>{data.name}</text>
          <text>11/11 15:12:58收回</text>
        </view>
        <view className='Time flex-h'>
          <text className='flex-item'>{data.phone}</text>
          <text>{data.status === 0 ? '' : data.status === 1 ? '报备' : data.status === 2 ? '到访' : data.status === 3 ? '认筹' : '签约'}</text>
        </view>
      </view>
    </view>
  )
}
